import React, { Fragment } from 'react'
import { Switch, Typography } from 'antd';
const { Text } = Typography;
export default class ItemFunctionSwitches extends React.Component {

  constructor(props) {
    super(props);
    this.state = {
    }
  }

  triggerChange = changedValue => {
    const { onChange, value } = this.props;
    if (onChange) {
      onChange({
        ...value,
        ...changedValue,
      });
    }
  }

  componentDidMount() {
  }

  handleuUgradeAccountChange = (checked) => {
    let data = {
      switch_upgrade_account: checked === true ? 1 : 0,
    }
    this.triggerChange(data)
  }

  handleProtocolChange = (checked) => {
    let data = {
      switch_protocol: checked === true ? 1 : 0,
    }
    this.triggerChange(data)
  }
 
  handleuMycardChange = (checked) => {
    let data = {
      mycard: checked === true ? 1 : 0,
    }
    this.triggerChange(data)
  }

  handleRazerChange = (checked) => {
    let data = {
      razer: checked === true ? 1 : 0,
    }
    this.triggerChange(data)
  }
  
  render() {
    let switch_upgrade_account = this.props.value.switch_upgrade_account || 0;
    let switch_protocol = this.props.value.switch_protocol || 0;
    let mycard = this.props.value.mycard || 0;
    let razer = this.props.value.razer || 0;
    let id = this.props.id.split('validate_other_')[1]; 
    return (
      <Fragment>
        {(id==='function_switches') ? (<div><div>
          <div className="ant-col ant-form-item-label ant-col-xs-5 ant-col-sm-5">账户升级：</div>
          <div className="ant-col ant-form-item-control-wrapper ant-col-xs-16 ant-col-sm-16">
            <Switch checkedChildren="启用" unCheckedChildren="禁用" 
            checked={switch_upgrade_account === 1} onChange={this.handleuUgradeAccountChange} /> 
            <Text>每次支付后对未升级的账户弹窗提醒账户升级</Text>
          </div>
        </div>
        <div>
          <div className="ant-col ant-form-item-label ant-col-xs-5 ant-col-sm-5">强制确认协议：</div>
          <div className="ant-col ant-form-item-control-wrapper ant-col-xs-16 ant-col-sm-16">
            <Switch checkedChildren="启用" unCheckedChildren="禁用"
            checked={switch_protocol === 1} onChange={this.handleProtocolChange} /> 
            <Text>在用户登录前让用户同意所有协议条款</Text>
          </div>
        </div></div>):(id==='pay_switches') ? (<div><div>
          <div className="ant-col ant-form-item-label ant-col-xs-5 ant-col-sm-5">mycard支付开关：</div>
          <div className="ant-col ant-form-item-control-wrapper ant-col-xs-16 ant-col-sm-16">
            <Switch checkedChildren="启用" unCheckedChildren="禁用" 
            checked={mycard === 1} onChange={this.handleuMycardChange} /> 
          </div>
        </div>
        <div>
          <div className="ant-col ant-form-item-label ant-col-xs-5 ant-col-sm-5">razer gold支付开关：</div>
          <div className="ant-col ant-form-item-control-wrapper ant-col-xs-16 ant-col-sm-16">
            <Switch checkedChildren="启用" unCheckedChildren="禁用"
            checked={razer === 1} onChange={this.handleRazerChange} /> 
          </div>
        </div></div>):null}
      </Fragment>
    )
  }
}
