import React, {Component, Fragment} from 'react';
import { Table} from 'antd';
export default class ItemTable extends Component{
  constructor(props){
    super(props)
  }
  render() {
    return(
      <Fragment>
        {
          (()=>{
            if(this.props.scroll){
              return <Table rowKey='id' bordered scroll={this.props.scroll} onChange={this.props.onChange || null} columns={this.props.columns} dataSource={this.props.dataSource.data} pagination={{onChange: this.props.pager,total:this.props.dataSource.totalNum}} rowSelection={this.props.rowSelection}/>
            }else {
              return <Table rowKey='id' bordered onChange={this.props.onChange || null} columns={this.props.columns} dataSource={this.props.dataSource.data} pagination={{onChange: this.props.pager,total:this.props.dataSource.totalNum}} rowSelection={this.props.rowSelection}/>
            }
          })()
        }
      </Fragment>
    )
  }
}
