import {reactLocalStorage} from 'reactjs-localstorage';
import ExportJsonExcel from 'js-export-excel';
export function set (key,value){
  return reactLocalStorage.set(key,value);
}
export function get (key){
  return reactLocalStorage.get(key);
}
export function remove (key){
  return reactLocalStorage.remove(key);
}
export function setObj (key,value){
  return reactLocalStorage.setObject(key,value);
}
export function getObj (key,value){
  return reactLocalStorage.getObject(key);
}
export function clear(){
  return reactLocalStorage.clear();
}
export function  downloadExcel(data,title,filter,header){
   
  // const data = data ? data : '';//表格数据
  if(!data){return}
  var option={};

  option.fileName = title
  option.datas=[
    {
      sheetData:data,
      sheetName:'sheet',
      sheetFilter:filter,
      sheetHeader:header,
    }
  ];

var toExcel = new ExportJsonExcel(option); 
toExcel.saveExcel();  
}